## org.apache.batik.dom.svg
Class SVGOMDocument.AnimAttrListener

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMDocument.AnimAttrListener

All Implemented Interfaces:
  AnimatedAttributeListener

Enclosing class:
  SVGOMDocument

    protected class SVGOMDocument.AnimAttrListener

extends java.lang.Object
implements AnimatedAttributeListener

Listener class for animated attribute changes.

Constructor Summary
`protected` `SVGOMDocument.AnimAttrListener()`

Method Summary
`void` `animatedAttributeChanged(org.w3c.dom.Element e, AnimatedLiveAttributeValue alav)` Called to notify an object of a change to the animated value of an animatable XML attribute.
`void` `otherAnimationChanged(org.w3c.dom.Element e, java.lang.String type)` Called to notify an object of a change to the value of an 'other' animation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGOMDocument.AnimAttrListener

    protected SVGOMDocument.AnimAttrListener()

Method Detail

### animatedAttributeChanged

    public void animatedAttributeChanged(org.w3c.dom.Element e,
                                         AnimatedLiveAttributeValue alav)

  Called to notify an object of a change to the animated value of an animatable XML attribute.

  Specified by:
    `animatedAttributeChanged` in interface `AnimatedAttributeListener`
  Parameters:
    `e` - the owner element of the changed animatable attribute
    `alav` - the AnimatedLiveAttributeValue that changed

### otherAnimationChanged

    public void otherAnimationChanged(org.w3c.dom.Element e,
                                      java.lang.String type)

  Called to notify an object of a change to the value of an 'other' animation.

  Specified by:
    `otherAnimationChanged` in interface `AnimatedAttributeListener`
  Parameters:
    `e` - the element being animated
    `type` - the type of animation whose value changed

Copyright © 2008 Apache Software Foundation. All Rights Reserved.